Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddSavedNotificationSound

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.NotificationSound>
it.tdlight.jni.TdApi.AddSavedNotificationSound

Enclosing class:
  TdApi

public static final class TdApi.AddSavedNotificationSound extends TdApi.Function<TdApi.NotificationSound>
Adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

Returns `NotificationSound`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputFile`
`sound`
Notification sound file to add.

## Constructor Summary

Constructors
Constructor
Description
`AddSavedNotificationSound()`
Adds a new notification sound to the list of saved notification sounds.
`AddSavedNotificationSound(TdApi.InputFile sound)`
Adds a new notification sound to the list of saved notification sounds.
`AddSavedNotificationSound(DataInput input)`
Adds a new notification sound to the list of saved notification sounds.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sound

public TdApi.InputFile sound
Notification sound file to add.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AddSavedNotificationSound

public AddSavedNotificationSound()
Adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

Returns `NotificationSound`

### AddSavedNotificationSound

public AddSavedNotificationSound(TdApi.InputFile sound)
Adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

Returns `NotificationSound`

Parameters:
  `sound` - Notification sound file to add.

  Returns `NotificationSound`

### AddSavedNotificationSound

public AddSavedNotificationSound(DataInput input) throws IOException
Adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

Returns `NotificationSound`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`